#!/usr/bin/python

## expendable

## Copyright (C) 2008, 2009 Tim Waugh <twaugh@redhat.com>

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import os
import sys
top_srcdir=os.environ.get ('top_srcdir', '.')
sys.path.append (top_srcdir)
sys.path.append (os.path.join (top_srcdir, "accounts"))
import account
from pprint import *
import mortgage
import savings
import payment

mtg = mortgage.Model (rate=0.055,
                      loan_amount=10000,
                      nper=48)
svg = savings.Model (rate=0.065,
                     taxrate=0.0,
                     balance=9000)
mtg.add_model (svg)
pmt = payment.Model (amount=1000)
pmt.set_delay (6)
svg.add_model (pmt)
mtg.run ()
data = mtg.get_model_data ()
for d in data:
    if abs (d['loan amount']) < 0.01:
        if d['per'] != 10:
            raise RuntimeError, "Incorrect run length %s" % d['per']
        break

if abs (data[8]['offset']) > 0.01:
    raise RuntimeError, "Offset load too early"
if abs (data[10]['offset']) > 0.01:
    raise RuntimeError, "Offset load too much"
#pprint (data)
